#include"m_pd.h"

t_signal *cuda_signal_new(int n, t_float sr);
t_signal *cuda_signal_newlike(const t_signal *sig);

extern t_signal *cuda_signal_freelist[MAXLOGSIG+1];
extern t_signal *cuda_signal_freeborrowed;
extern t_signal *cuda_signal_usedlist;

void cuda_signal_cleanup(void);
void cuda_signal_makereusable(t_signal *sig);

void cuda_dsp_add_zero(t_sample *out, int n);
void cuda_dsp_add_scalarcopy(t_float *in, t_sample *out, int n);
void cuda_dsp_add_plus(t_sample *in1, t_sample *in2, t_sample *out, int n);

t_int *cuda_vinlet_perform(t_int *w);
t_int *cuda_vinlet_doprolog(t_int *w);
t_int *cuda_voutlet_perform(t_int *w);
t_int *cuda_voutlet_doepilog(t_int *w);

t_int *cuda_zero_perform(t_int *w);
t_int *cuda_copy_perform(t_int *w);
