#!/bin/sh

if [ -z "$1" ]; then
  echo "usage: $0 <CARDMODEL>"
  exit 1;
fi

CARDMODEL="$1"

# cufft
#scripts/test-cufft-roundtrip.sh > results/roundtrip/FFT-${CARDMODEL}-gui.txt
#scripts/test-cufft-roundtrip.sh -nogui > results/roundtrip/FFT-${CARDMODEL}-nogui.txt
#scripts/test-cufft-roundtrip.sh -nogui -batch > results/roundtrip/FFT-${CARDMODEL}-batch.txt

# cupv
#scripts/test-cupv-roundtrip.sh > results/roundtrip/PV-${CARDMODEL}-gui.txt
#scripts/test-cupv-roundtrip.sh -nogui > results/roundtrip/PV-${CARDMODEL}-nogui.txt
scripts/test-cupv-roundtrip.sh -nogui -batch > results/roundtrip/PV-${CARDMODEL}-batch.txt
