/*
 * cupv~.h - header file for cupv~.c
 *
 * Copyright (c) 2009 Charles Henry
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _PDCUDA_API_
#define _PDCUDA_API_

#define t_sample float

int lib_set_cuda_device(int device);

void cuda_zero_basic(t_sample *vec, int n);
void cuda_sig_basic(t_sample *vec, t_float f, int n);
void cuda_scalarplus_basic(t_sample *in, t_sample *out, t_float f, int n);
void cuda_plus_basic(t_sample *in1, t_sample *in2, t_sample *out, int n);

extern int cuda_canvas_num;

#endif
